Skip to main content

GET /v1/twitter/search/search_v1

Twitter Search Timeline API (V1)

stable · 20 credits per success

Search X (Twitter) by keyword across top, latest, media, people or list result modes, with cursor pagination. Use it to find public conversations, accounts, media or lists related to a topic.

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl
curl -s 'https://api.wellbyte.net/v1/twitter/search/search_v1?cursor=demo&keyword=%E5%92%96%E5%95%A1&searchType=Top' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-09-23

data{
code:0
data{
status:"ok"
timeline[ 2 items ]
next_cursor:
"DAACCgACHS3cTqgAJxAKAAMdLdxOp__Y8AgABAAAAAILAAUAAADwRW1QQzZ3QUFBZlEvZ0dKTjB2R3Av..."
prev_cursor:
"DAACCgACHS3cTqgAJxAKAAMdLdxOp__Y8AgABAAAAAELAAUAAADwRW1QQzZ3QUFBZlEvZ0dKTjB2R3Av..."
}
meta{
endpoint:"twitter.search.search_v1"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    cursorstringqueryno由先前响应返回的分页游标。demo
    keywordstringqueryyes搜索关键词。咖啡
    searchTypestringqueryno搜索结果类型。 可用值: - `TOP`:热门搜索结果 - `LATEST`:最新搜索结果 - `MEDIA`:媒体搜索结果 - `PEOPLE`:人物搜索结果 - `LISTS`:列表搜索结果Top

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 20 credits. Any failure — including a 200 that fails the quality gate — costs 0.

    All Twitter/X endpoints →

    Search

    Search endpoints and docs